Approve from listDialog errors with "Cannot read property 'source' of undefined"
Closed, ResolvedPublic

Description

If you use the Primary Sources statement list dialog and click on "Approve" for one of the items, the progress bar spins forever and the console logs the error above.

The offending line is here:
https://github.com/google/primarysources/blob/master/frontend/freebase2wikidata.js#L1921

The statement gets added, but because the exception happens before the call to setStatementState, I suspect that the statement will get presented again, resulting in duplicates.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2016, 12:49 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 22 2017, 4:55 PM
Hjfocs closed this task as Resolved.May 23 2018, 2:21 PM
Hjfocs moved this task from To do to Done on the Wikidata-primary-sources board.
Hjfocs claimed this task.
Hjfocs added a subscriber: Hjfocs.

Related to version 1.
Should work in version 2.